import javax.swing.JOptionPane; // giriş çıkı

public class H3OD3_2000
{
// sayinin exponenti dinamik metodu

public double kuvvet(double x,double y)
{
// y nin pozitif olduğu kabul edilmistir.
if(y<0) return 0;
if(y ==0) return 1;
else return x*kuvvet(x,y-1);
}

public static void main(String[] args)
{
Text cin=new Text();
double sayi1;
double sayi2;
H3OD3_2000 x=new H3OD3_2000();
 sayi1=Double.parseDouble(JOptionPane.showInputDialog
   ("bir sayi giriniz : "));
 sayi2=Double.parseDouble(JOptionPane.showInputDialog
   ("sayının kuvvetini giriniz : "));
JOptionPane.showMessageDialog(null,
""+sayi1+" nin "+sayi2+" inci kuvveti : "+x.kuvvet(sayi1,sayi2),
   "sayının kuvveti",
   JOptionPane.PLAIN_MESSAGE);
   System.exit(0);
}
}


